package com.nisum.pompagefactory.practice;

import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.chrome.ChromeDriver;
import org.openqa.selenium.support.FindBy;
import org.openqa.selenium.support.PageFactory;

import java.io.IOException;
import java.util.List;

public class AccountSettings {
    WebDriver driver;
    @FindBy(id = "input-firstName")
    WebElement accountFirstName;
    @FindBy(id = "input-lastName")
    WebElement accountLastName;
    @FindBy(id = "emailIdaccount")
    WebElement accountEmail;
    @FindBy(id = "phoneNumber")
    WebElement accountPhoneNumber;

    public AccountSettings(WebDriver driver) {
        this.driver = driver;
        PageFactory.initElements(this.driver, this);
    }

    public void goToAccountSettings() throws InterruptedException {
        HomePage home = new HomePage(driver, "https://www.safeway.com/", false);
        home.getAccountDropdown().click();
        Thread.sleep(1000);
        home.getAccountSettingsButton().click();
    }

    public static void main(String[] args) throws InterruptedException, IOException {
        // get application.properties values and set ChromeDriver
        PropertyValues properties = new PropertyValues();
        List<String> props = properties.getPropValues();
        System.setProperty("webdriver.chrome.driver", "/Users/spangburn/drivers/chromedriver");
        WebDriver driver = new ChromeDriver();

        // login
        String username = props.get(2);
        String password = props.get(3);
        LoginPage login = new LoginPage(driver, "https://www.safeway.com/", true);
        login.loginUser(driver,"https://www.safeway.com/", username, password);
        Thread.sleep(5000);

        // Navigate to account settings
        AccountSettings accountSettings = new AccountSettings(driver);
        accountSettings.goToAccountSettings();
        Thread.sleep(5000);
        driver.close();
    }
}
