package com.nisum.pompagefactory.practice;

import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.chrome.ChromeDriver;

import java.io.IOException;
import java.util.List;
import java.util.concurrent.TimeUnit;

class LoginPage {
    WebDriver driver;
    String url;

    public LoginPage(WebDriver driver, String url, Boolean newBrowser) {
        this.driver = driver;
        driver.manage().timeouts().implicitlyWait(5, TimeUnit.SECONDS);
        if (newBrowser){ driver.get(url); }
    }

    public WebElement getUserEmail() { return driver.findElement(By.id("label-email")); }
    public WebElement getUserPassword() { return driver.findElement(By.id("label-password")); }
    public WebElement getSignInButton() { return driver.findElement(By.id("btnSignIn")); }

    public void loginUser(WebDriver driver, String url, String username, String password) throws InterruptedException {
        HomePage home = new HomePage(driver, url, false);
        home.navigateToLogin();

        // username
        getUserEmail().sendKeys(username);
        // password
        getUserPassword().sendKeys(password);

        Thread.sleep(1000);
        getSignInButton().click();
    }

    public static void main(String[] args) throws IOException, InterruptedException {
        // get application.properties values and set ChromeDriver
        PropertyValues properties = new PropertyValues();
        List<String> props = properties.getPropValues();
        System.setProperty("webdriver.chrome.driver", "/Users/spangburn/drivers/chromedriver");
        WebDriver driver = new ChromeDriver();

        // set username and password variables and create login scenario
        String username = props.get(2);
        String password = props.get(3);
        LoginPage login = new LoginPage(driver, "https://www.safeway.com/", true);
        login.loginUser(driver,"https://www.safeway.com/", username, password);
//        Thread.sleep(5000);
//        driver.close();
    }

}
